org.keycloak.theme

## Class ClasspathThemeProviderFactory

- java.lang.Object
- - org.keycloak.theme.ClasspathThemeProviderFactory

- All Implemented Interfaces:
    ProviderFactory<ThemeProvider>, ThemeProviderFactory
  Direct Known Subclasses:
    JarThemeProviderFactory

      public class ClasspathThemeProviderFactory
      extends Object
      implements ThemeProviderFactory

  Author:
    Stian Thorgersen

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ClasspathThemeProviderFactory.ThemeRepresentation`
    `static class` | `ClasspathThemeProviderFactory.ThemesRepresentation`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `KEYCLOAK_THEMES_JSON`
    `protected static Map<Theme.Type,Map<String,ClassLoaderTheme>>` | `themes`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClasspathThemeProviderFactory(String id)`
    `ClasspathThemeProviderFactory(String id, ClassLoader classLoader)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` This is called when the server shuts down.
    `ThemeProvider` | `create(KeycloakSession session)`
    `String` | `getId()`
    `void` | `init(Config.Scope config)` Only called once when the factory is first created.
    `protected void` | `loadThemes(ClassLoader classLoader, InputStream themesInputStream)`
    `void` | `postInit(KeycloakSessionFactory factory)` Called after all provider factories have been initialized

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.provider.ProviderFactory

      `order`

- - ### Field Detail

    - #### KEYCLOAK_THEMES_JSON

          public static final String KEYCLOAK_THEMES_JSON

      See Also:
        Constant Field Values

    - #### themes

          protected static Map<Theme.Type,Map<String,ClassLoaderTheme>> themes

  - ### Constructor Detail

    - #### ClasspathThemeProviderFactory

          public ClasspathThemeProviderFactory(String id)

    - #### ClasspathThemeProviderFactory

          public ClasspathThemeProviderFactory(String id,
                                               ClassLoader classLoader)

  - ### Method Detail

    - #### create

          public ThemeProvider create(KeycloakSession session)

      Specified by:
        `create` in interface `ProviderFactory<ThemeProvider>`

    - #### init

          public void init(Config.Scope config)

      Description copied from interface: `ProviderFactory`
      Only called once when the factory is first created. This config is pulled from keycloak_server.json
      Specified by:
        `init` in interface `ProviderFactory<ThemeProvider>`

    - #### postInit

          public void postInit(KeycloakSessionFactory factory)

      Description copied from interface: `ProviderFactory`
      Called after all provider factories have been initialized
      Specified by:
        `postInit` in interface `ProviderFactory<ThemeProvider>`

    - #### close

          public void close()

      Description copied from interface: `ProviderFactory`
      This is called when the server shuts down.
      Specified by:
        `close` in interface `ProviderFactory<ThemeProvider>`

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `ProviderFactory<ThemeProvider>`

    - #### loadThemes

          protected void loadThemes(ClassLoader classLoader,
                                    InputStream themesInputStream)

Copyright © 2020 JBoss by Red Hat. All rights reserved.